import req from '@/request.js'
const portal = window.context.portal
export default {
    // 财务一级查询
    oneLevelData(data,cb) {
        req.post(portal + `/qf/finance/statistical/oneLevelData`, data).then(res => {
            cb(res.data)
        })
    },
	//获取锁所有企业
	enterpriseData(data,cb) {
        req.post(portal + `/qf/finance/statistical/enterpriseData`, data).then(res => {
            cb(res.data)
        })
    },
	//下撰
	fromUnderData(data,cb) {
        req.post(portal + `/qf/finance/statistical/fromUnderData`, data).then(res => {
            cb(res.data)
        })
    },
	//所有企业
	getAreaTree(data,cb) {
	    req.post(portal + `/qfEnterpriseInfo/v1/getAreaTree`, data).then(res => {
	        cb(res.data)
	    })
	},
	//指标关系图
	getTarget(id, cb) {
	    req.get(portal + `/sys/subject/class/getTree/` + id).then(rep => {
	        cb(rep.data)
	    })
	},
	//数据分析
	getData(data,cb) {
	    req.post(portal + `/qf/finance/statistical/dataAnalysis`, data).then(res => {
	        cb(res.data)
	    })
	},
	//tree节点获取父级
	getParentLevel(id, cb) {
	    req.get(portal + `/sys/subject/class/getPatentTarget/` + id).then(rep => {
	        cb(rep.data)
	    })
	},
}
